#                                                 #
#                 definefont.tcl                  #
#                                                 #
#   Copyright (C) 1997-1999  Hiromasa Sekishita   #
#                                                 #
#              This program conforms              #
#      GNU GENERAL PUBLIC LICENSE Version 2.      # 
#                                                 #




# definitions of fonts
# ե

proc definefont {} {
    global deffonts
    global evfont
    global tcl_platform
    global Option

    # set deffonts {14 16 24}
    set deffonts {14 16 18 20 24 26}
    
    set evfont(C,default,14) a14
    # set evfont(C,default,14) rk14
    set evfont(C,default,16) a16
    # set evfont(C,default,16) rk16
    set evfont(C,default,18) a18
    set evfont(C,default,20) a20
    set evfont(C,default,24) a24
    # set evfont(C,default,24) rk24
    set evfont(C,default,26) a26
    
    set evfont(ja,default,14) k14
    set evfont(ja,default,16) k16
    # set evfont(ja,default,16) kanji16
    set evfont(ja,default,18) k18
    set evfont(ja,default,20) k20
    set evfont(ja,default,24) k24
    # set evfont(ja,default,24) kanji24
    set evfont(ja,default,26) k26
    
    if {$tcl_platform(platform) == "windows"} {
	if {$Option(LANG) == "eng"} {
	    set evfont(C,default,14) {{ͣ ī} 14 normal}
	    set evfont(C,default,16) {{ͣ ī} 16 normal}
	    set evfont(C,default,18) {{ͣ ī} 18 normal}
	    set evfont(C,default,20) {{ͣ ī} 20 normal}
	    set evfont(C,default,24) {{ͣ ī} 24 normal}
	    set evfont(C,default,26) {{ͣ ī} 26 normal}
	    set evfont(ja,default,14) {{ͣ ī} 14 normal}
	    set evfont(ja,default,16) {{ͣ ī} 16 normal}
	    set evfont(ja,default,18) {{ͣ ī} 18 normal}
	    set evfont(ja,default,20) {{ͣ ī} 20 normal}
	    set evfont(ja,default,24) {{ͣ ī} 24 normal}
	    set evfont(ja,default,26) {{ͣ ī} 26 normal}
	}
    }


    ##### for tcl/tk 8.0 #####

    if {$tcl_platform(platform) != "windows"} {
	catch {
	    font create @evfont(default,14) \
		    -compound "$evfont(C,default,14) $evfont(ja,default,14)"
	    font create @evfont(default,16) \
		    -compound "$evfont(C,default,16) $evfont(ja,default,16)"
	    font create @evfont(default,18) \
		    -compound "$evfont(C,default,18) $evfont(ja,default,18)"
	    font create @evfont(default,20) \
		    -compound "$evfont(C,default,20) $evfont(ja,default,20)"
	    font create @evfont(default,24) \
		    -compound "$evfont(C,default,24) $evfont(ja,default,24)"
	    font create @evfont(default,26) \
		    -compound "$evfont(C,default,26) $evfont(ja,default,26)" 
	    
	    set evfont(C,default,14) @evfont(default,14)
	    set evfont(C,default,16) @evfont(default,16)
	    set evfont(C,default,18) @evfont(default,18)
	    set evfont(C,default,20) @evfont(default,20)
	    set evfont(C,default,24) @evfont(default,24)
	    set evfont(C,default,26) @evfont(default,26)
	}
    }
}


